- Qt 5.15
- Qt Location
- C++ Classes
- QPlaceImage
- Qt 5.15.19 Reference Documentation

# QPlaceImage Class

The QPlaceImage class represents a reference to an image. More...

Header: | #include <QPlaceImage>
qmake: | QT += location
Since: | Qt 5.6
Inherits: | QPlaceContent

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QPlaceImage(const QPlaceContent &other)
| QPlaceImage()
virtual | ~QPlaceImage()
QString | imageId() const
QString | mimeType() const
void | setImageId(const QString &identifier)
void | setMimeType(const QString &type)
void | setUrl(const QUrl &url)
QUrl | url() const

## Detailed Description

Each QPlaceImage represents a set of metadata about an image such as it's url, identifier and MIME type. These are properties in addition to those provided by QPlaceContent.

Note: The Places API only supports images as 'retrieve-only' objects. Submitting images to a provider is not a supported use case.

See also QPlaceContent.

## Member Function Documentation

### QPlaceImage::QPlaceImage(const QPlaceContent &other)

Constructs a copy of other if possible, otherwise constructs a default image.

### QPlaceImage::QPlaceImage()

Constructs an new QPlaceImage.

### `[virtual]` QPlaceImage::~QPlaceImage()

Destructor.

### QString QPlaceImage::imageId() const

Returns the image's identifier.

See also setImageId().

### QString QPlaceImage::mimeType() const

Returns the image's MIME type.

See also setMimeType().

### void QPlaceImage::setImageId(const QString &identifier)

Sets image's identifier.

See also imageId().

### void QPlaceImage::setMimeType(const QString &type)

Sets image's MIME type.

See also mimeType().

### void QPlaceImage::setUrl(const QUrl &url)

Sets the image's url.

See also url().

### QUrl QPlaceImage::url() const

Returns the image's url.

See also setUrl().